/*============================================================================
|   Copyright (C) 2001  Jonathan Harm                                          
|
|
|   This program is free software; you can redistribute it and/or
|   modify it under the terms of the GNU General Public License
|   as published by the Free Software Foundation; either version 2
|   of the License, or (at your option) any later version.
|   This program is distributed in the hope that it will be useful,
|   but WITHOUT ANY WARRANTY; without even the implied warranty of
|   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
|   GNU General Public License for more details.
|   You should have received a copy of the GNU General Public License
|   along with this program; if not, write to the Free Software
|   
|   Foundation, Inc., 
|   59 Temple Place - Suite 330
|   Boston, MA  02111-1307, USA.
|
|  
|
|                   gettable.c REV 2 for SQL Query Generator
/
/
/                  NOTE: When using this function, check to see if it
/
|
|  This program is under the GPL see http://www.gnu.org for more info
|
|  
|                   http://change.to/opensource
|                   110983@lycos.com
|
\============================================================================*/
#include "querygen.h"

char *gettable( FILE *fp) {




      char *p_tablename;

      char lp_buf[MAX];					//Left parenthesis buffer, used to find the first '(' after the table name
      int i;											//for counting



while( (p_tablename = skipcomment(fp)) != NULL)
{



       if( strstr(p_tablename, "CREATE") != NULL )
       {
   	
   	
             //get the next thing from the file
   	 	      p_tablename = skipcomment(fp);

             if( strcmp(p_tablename,"TABLE") == 0 )  {

                  if( (p_tablename = skipcomment(fp)) != NULL) {

                  //before returning the table name,
                 //we need to get past the '('
                     strcpy(lp_buf, p_tablename);

                     //first see if '(' is right after the table name
                     //if it is, just replace it with NULL
                     for(i = 0; i < MAX; i++)
                     {

                          if(lp_buf[i] == '(')
                          {
                              lp_buf[i] = '\0';
                              break;
                          }

                      }

                      //if i is MAX, then the '(' was not found in the loop above
                    if(i == MAX) {

                         //so now we need to get '(' from the file
                         //and to do so, we need to use an infinite loop
                         //and check each character
                         for(;;) {

                                i = fgetc(fp);

                                if(i == '(')
                                break;

                                else

                                if(i == EOF)
                                {
                                     fprintf(stderr, "There is an error in your CREATE TABLE query.\n");
                                     exit(1);
                                }

                           } //end of for(;;)

                    } //end of if(i ==MAX)

                    //now we have the table name
                   return p_tablename;
                   }

           }  // end of   if( strcmp(p_tablename,"TABLE") == 0 )
        }     // end of   if( strcmp(p_tablename, "CREATE"))




        else


        // this will exit the program if the EOF of the file has been found
        {
           fprintf(stderr, "\nThis CREATE TABLE query has an error.\n");
           exit(1);
          }



  }//end of while loop



return 0;
}
