/*============================================================================
|   Copyright (C) 2001  Jonathan Harm                                          
|
|
|   This program is free software; you can redistribute it and/or
|   modify it under the terms of the GNU General Public License
|   as published by the Free Software Foundation; either version 2
|   of the License, or (at your option) any later version.
|   This program is distributed in the hope that it will be useful,
|   but WITHOUT ANY WARRANTY; without even the implied warranty of
|   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
|   GNU General Public License for more details.
|   You should have received a copy of the GNU General Public License
|   along with this program; if not, write to the Free Software
|   
|   Foundation, Inc., 
|   59 Temple Place - Suite 330
|   Boston, MA  02111-1307, USA.
|
|  
|
|                   main.c  REV 2  for SQL Query Generator
|
|  This program is under the GPL see http://www.gnu.org for more info
|
|  
|                   http://change.to/opensource
|                   110983@lycos.com
|
\============================================================================*/

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


#include "querygen.h"


int main(int argc, char *argv[])
{


    extern char out[MAX];
    int i;
    char option;





if(argc > 4 || argc <= 1) {

   printf("\n\nSQL Query Generator %.1f\t by Jonathan Harm\n", VERSION);
   printf("\nusage: %s [OPTION] -o [FILENAME]", argv[0]);
   printf("\n\n\tOption\tDescription\n");
   printf("\n\t-i\tmake an INSERT INTO query");
   printf("\n\t-u\tmake an UPDATE query");
   printf("\n\t-d\tmake a DELETE query");
   printf("\n\t-o\tspecify the filename and location of the output file\n");
   exit(1);
   }


  for(i = 1; i < argc; i++) {


      if(*(argv[i]) == '-') {


     //this will get the letter of the option
     option = argv[i][1];


     switch(option)  {

        case 'i' :
          //get the letter of the next option(which has to be -o)
          if(*argv[++i] == '-') {
             option = argv[i][1];

                if(option == 'o') {

                //if the next option is 'o', then get the output filename
                //and run insert_query()
                sprintf(out, "%s", argv[++i]);
                insert_query();
               }
           }

            else
            {
               fprintf(stderr, "Error: invalid option after -i\n\n");
               exit(1);
            }


          break;

        case 'u' :
          //not done yet
          break;

        case 'd' :
          //not done yet
          break;

       case 'o' :
       sprintf(out, "%s", argv[++i]);
          //get the filename


        default:
          printf("\n\nSQL Query Generator %.1f\t by Jonathan Harm\n", VERSION);
          printf("\nusage: %s [OPTION] -o [FILENAME]", argv[0]);
          printf("\n\n\tOption\tDescription\n");
          printf("\n\t-i\tmake an INSERT INTO query");
          printf("\n\t-u\tmake an UPDATE query");
          printf("\n\t-d\tmake a DELETE query");
          printf("\n\t-o\tspecify the filename and location of the output file\n\n");
          exit(1);

      }   //end switch

    }//end if

    else

        {
        fprintf(stderr, "Error: invalid option.\n\n");
        exit(1);
        }


 }   //end for loop


  return 0;
}


